PS3 PS3 4.83 OFW Now Live - Beware changes impacting HAN users - stay tuned for more info

Discussion in 'PS3 News' started by montcer, Oct 10, 2018.

By montcer on Oct 10, 2018 at 9:20 PM
  1. 174
    112
    72
    montcer

    montcer Member

    Joined:
    Mar 17, 2018
    Messages:
    174
    Likes Received:
    112
    Trophy Points:
    72
    Gender:
    Male
    BEWARE (Exploited PS3's) PlayStation firmware update 4.83 has just went Live, developer's from the PS3Xploit team have not had time to take a look at it yet since this has just been released (see update, devs are looking into it now and will update us here in this thread), This update could potentially be a patch for the PS3Xploit hacks (but they have not in a year which has been odd) or it could be a simple routine update for things such as the BluRay player. Developer's will look into this newly released update and we will keep us posted here in this thread. Its advised to stay on 4.82 until Ps3Xploit developer's verify the newly released Official firmware. Users and Ps3 Firmware Bot has confirmed the update is live.
    -STLcardsWS ​


    Update:
    (See "Ps3Xploit Status" TAB below for latest reports on PS3Xploit Status)


    ps3-system-software-update-two-column-01-ps3-eu-23mar15.png


    • WARNING 4.83 PS3 Firmware is NOW LIVE
      PS4_4.83.png

      Official Changelog via Sony:

      New for 4.83
      • This system software update improves system performance.

    • ps3xploit-logo.png
      Current Status for 4.83
      • PS3Xploit (for CFW enabled Console) - Do not update to 4.83 OFW (From 4.82 CFW you can update to a 4.83 CFW when available)
      • PS3Xploit HAN (for non CFW Compatible Consoles) - Do not update to 4.83, or you will lose various abilities of HAN

      Official Ps3Xploit Response via @bguerville

      RECOMMENDATION FROM PS3XPLOIT TEAM:
      FOR THE MOMENT, DO NOT UPDATE TO 4.83 UNLESS YOU HAVE DECIDED TO GIVE UP USING HAN PERMANENTLY ON THE CONSOLE.

      After a look at the update files & preliminary tests, I am afraid I am bearing some bad news for HAN users playing online.

      1. It would appear that [email protected] patched one of the 2 webkit exploits we currently use to trigger ROP chains.
      It means that we need to replace this exploit in order to get any ps3xploit tool working on 4.83. Work is already under way, obviously no ETA at this stage. Please don't ask.

      2.
      The kernel is completely untouched. No changes to either lv1 or lv2 which means CFWs will be easier to make. That's also good news for devs with any promising kernel vulnerability under investigation.

      3. Changes were made to vsh as usual & they seem extensive enough to suspect that they may have patched the HAN vulnerability as well. We have not yet had time to look into the matter at all but if they did, HAN might be gone for good past 4.82, leaving only CFW2OFW conversions installable & runnable on 4.83 whenever the patched webkit exploit gets replaced.


      In conclusion, the changes brought by the 4.83 update mean that anyone updating will lose usage of HAN, and possibly permanently until a kernel exploit comes out. Cfw2ofw conversions will be the only installed games that will still be working after updating.


      The nature of this update is upsetting our 4.0 release plans somewhat. It's still very early stages in our investigations & there are still many unanswered questions for the moment. I will keep you all posted whenever I have additional information to share.

    • PS3_4.83_CFW.jpg
      As 4.83 releases (CFW / Homebrew / Tools) are made , we will keep this linked thread below updated:

    Do not update to 4.83 or you could lose the ability to exploit your PS3

    Source: playstation.com / twitter.com/PS3FWBot
    (Thanks to montcer for the Alert in the forum :) )​
     
    Last edited by a moderator: Oct 12, 2018
    howainy, Orbital, blakluv69 and 15 others like this.

Comments

Discussion in 'PS3 News' started by montcer, Oct 10, 2018.

    1. SkillFeed
      SkillFeed
      So if i understand it right, im safe with cex cfw. I just have to wait for a new rebug version right?

      Gesendet von meinem BLA-L29 mit Tapatalk
    2. bguerville
      bguerville
      You can still update to 4.82 using a USB device if you wish. Download the 4.82 ofw pup file & place it on a fat32 USB stick using MBR in a folder tree like this x:\PS3\UPDATE\PS3UPDAT.PUP.
      Better disconnect from Internet when you update though.

      If ever you install 4.83 though, you won't be able to use any ps3xploit tool until we eventually release an update.
    3. amirzaim
      amirzaim
      DeViL303 likes this.
    4. bguerville
      bguerville
      You are safe as long as you don't install 4.83 ofw.
      Wait for new cfw releases.
      I am guessing that SEN Enabler will also be updated with a new system software version spoof to let people on Rebug 4.8x connect to PSN.
      SkillFeed likes this.
    5. DeViL303
      DeViL303
      Whats the uses? It allows you to sign in to PSN on 4.82, that's it.
      ilye_s likes this.
    6. amirzaim
      amirzaim

      Oh i see...
      DeViL303 likes this.
    7. Major_Pothead92
      Major_Pothead92
      Ah thanks for letting me know. Ironically, I just started up netflix, put something on and it is working primo lmao. Guess I'm one of the lucky ones with that. YT won't let me pass without signing in though lol. Oh well.
    8. ucupthea
      ucupthea
      so we must give up do not update to 4.83 if we want to use HAN.
      but how to instal new game? We must connect enable HAN first, but when i try to online, we must update to 4.83.
    9. Naked_Snake1995
      Naked_Snake1995
      You need to have UPDATE.PUP of 4.82 and update via mass storage in the XMB, i advice to turn off your Internet Connection on the PS3.

      If updating through XMB via USB doesn't work, try updating with USB via Safe Mode.

      Of both dont work, check your Update file or USB Path

      (USB:PS3/UPDATE/UPDAT. PUP)

      Sent from my F8331 using Tapatalk
      Zazenora likes this.
    10. Laith
      Laith
      That sucks ballsacks to hear, but I'm sure you can find exploits relatively soon since you're all a bunch of gods. Good luck! :D
    11. ShaolinAssassin
      ShaolinAssassin
      Zazenora likes this.
    12. dazzaXx
      dazzaXx
      DEX users on 4.82 are still able to sign into PSN, dunno if its actually safe to do so though.
    13. EddieEddie90
      EddieEddie90
      How can I avoid updating when I turn on the console?
    14. bguerville
      bguerville
      Are you sure about that?
      Have you done it yourself?
    15. zecoxao
      zecoxao
      DEX 4.83 isn't out yet
    16. bguerville
      bguerville
      Really? Don't they normally come out at the same time? Or even DEX first?
      Last edited: Oct 11, 2018
    17. ayassinsayed
      ayassinsayed
      I replace file with dex 4.81 software_update_plugin.sprx only but the option not show in xmb to make nb invalid is any thing i miss ?

      Sent from my iPhone using Tapatalk
      Last edited: Oct 11, 2018
    18. dazzaXx
      dazzaXx
      Yea, just signed in and it still functions properly without any update messages or anything.
    19. bguerville
      bguerville
      Good to know.
      dazzaXx likes this.
    20. unseen
      unseen
      The proxy method mentioned above gives error 80028EA6 when trying to sign up.
    Tags:

Share This Page